Name: gegl-vala
Version: 0.0.2
Release: alt2.r2854
Summary: a Vala binding for GEGL
License: LGPL
Group: Development/Other
URL: http://www.gegl.org/vala/
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar
Source2: acinclude.m4
Patch0: makefile.patch
Patch1: makefile-samples.patch

BuildPreReq:   rpm-build-gnome
BuildRequires: autogen gnome-common libvala-devel libgegl-devel glib2-devel
BuildRequires: libbabl-devel

%description
This is the vapi for GEGL. The GEGL API coverrage is not complete due
to API stability and maturity issues.

Currently, it is not yet possible to write GEGL Operation from
Vala. You can build a pipeline and process it.

See http://live.gnome.org/Vala for more details about Vala programming
language

%prep
%setup -q
cp %SOURCE2 .
%patch0 -p1
%patch1 -p1

%build
export AUTOMAKE=automake
export ACLOCAL=aclocal
sh ./autogen.sh
%configure
%make

%install
%make_install install DESTDIR=%buildroot

%files
%_datadir/vala/vapi/*
%doc AUTHORS COPYING README

%changelog
* Mon May 25 2009 Vladimir Lettiev <crux@altlinux.ru> 0.0.2-alt2.r2854
- unset default version of automake (1.9) in autogen.sh
  to fix build with any newer automake version

* Thu Apr 09 2009 Vladimir Lettiev <crux@altlinux.ru> 0.0.2-alt1.r2854
- initial build


